WYK_WarTools.op = {}
WYK_WarTools.op.UnitTag = "player"
WYK_WarTools.op.ACCT = nil
WYK_WarTools.op.COMS = nil
WYK_WarTools.op._guildName = nil
WYK_WarTools.op._guildIndex = nil
WYK_WarTools.op.BroadcastChannel = nil
WYK_WarTools.op._comChannel = nil
	
WYK_WarTools.op.IsLead = function() return IsUnitGroupLeader(WYK_WarTools.op.UnitTag) end
WYK_WarTools.op.IsGrouped = function() return IsUnitGrouped(WYK_WarTools.op.UnitTag) end
WYK_WarTools.op.InCombat = function() return IsUnitInCombat(WYK_WarTools.op.UnitTag) end
WYK_WarTools.op.ZoneName = function() return GetUnitZone(WYK_WarTools.op.UnitTag) end
WYK_WarTools.op.IsPlayerInAvA = function() return IsPlayerInAvAWorld() end
WYK_WarTools.op.GuildName = function() if WYK_WarTools.op._guildName ~= nil then return WYK_WarTools.op._guildName else return nil end end
WYK_WarTools.op.GuildIndex = function() 
	if WYK_WarTools.op._guildName ~= nil then 
		for i = 1, GetNumGuilds(), 1 do
			local nm = GetGuildName(i)
			if nm == WYK_WarTools.op._guildName then return i end
		end
	else return nil end
end
WYK_WarTools.op.GuildChannel = WYK_WarTools.op.GuildIndex()

WYK_WarTools.op.AccountMissingNotice = function() d(WYK_WarTools.Prefix.Default.." Operator Account Not Configured!"); d(WYK_WarTools.Prefix.Default.." To configure type: /"..WYK_WarTools.AddonAbbrev.." acct @name"); end
WYK_WarTools.op.ComsMissingNotice = function() d(WYK_WarTools.Prefix.Default.." Coms Url Not Configured!"); d(WYK_WarTools.Prefix.Default.." To configure type: /"..WYK_WarTools.AddonAbbrev.." coms url"); end

WYK_WarTools.InCyrodiil = function() return WYK_WarTools.op.ZoneName() == "Cyrodiil" end

WYK_WarTools.ToggleCommand = function(text)
	if not WYK_WarTools.InCyrodiil() then return end
	if WYK_WarTools.Mode.Commander then 
		WYK_WarTools.Mode.Commander = false
		d(WYK_WarTools.Prefix.Default.." Command Mode disabled")
		if WYK_WarTools.Settings.SessionData ~= nil then
			WYK_WarTools.Settings.SessionData["group"] = {}
		end
		return
	end
	if WYK_WarTools.op.IsGrouped() and WYK_WarTools.op.IsLead() then
		WYK_WarTools.Mode.Commander = true
		d(WYK_WarTools.Prefix.Default.." Command Mode enabled")
	end
end

WYK_WarTools.Parse = function()
	if not WYK_WarTools.Cyrodiil then WYK_WarTools.CyrodiilObjectiveEvent() end
	for numFaction = 1, 3, 1 do
		d(WYK_WarTools.Lists.Alliances[numFaction])
		for o,tbl in pairs(WYK_WarTools.Cyrodiil["objectives"]) do
			if tbl["baseFaction"] == numFaction then
				if not string.find(tbl["displayName"]," Outpost") then 
					d(" .. "..tbl["displayName"]) 
					d(" .. .. "..tbl["Farm"]["displayName"]) 
					d(" .. .. "..tbl["Mine"]["displayName"]) 
					d(" .. .. "..tbl["Lumbermill"]["displayName"]) 
				end
			end
		end
		for o,tbl in pairs(WYK_WarTools.Cyrodiil["objectives"]) do
			if tbl["baseFaction"] == numFaction then
				if string.find(tbl["displayName"]," Outpost") then 
					d(" .. "..tbl["displayName"]) 
				end
			end
		end
	end
end

